Bug 733734 - Rails Deprecation warning on providers page
Summary: Rails Deprecation warning on providers page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: Jiri Tomasek
QA Contact: wes hayutin
URL: https://hp-bl480c-01.rhts.eng.bos.red...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 16:23 UTC by wes hayutin
Modified: 2012-05-15 21:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-15 21:52:43 UTC


Attachments (Terms of Use)
ss (112.98 KB, image/png)
2011-08-26 16:23 UTC, wes hayutin
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:0583 normal SHIPPED_LIVE new packages: aeolus-conductor 2012-05-15 22:31:59 UTC

Description wes hayutin 2011-08-26 16:23:49 UTC
Created attachment 520115 [details]
ss

Description of problem:
New Provider
DEPRECATION WARNING: f.error_messages was removed from Rails and is now available as a plugin. Please install it with `rails plugin install git://github.com/rails/dynamic_form.git`. (called from _app_views_providers__form_haml__394532814_70267530305940_7341356 at /usr/share/aeolus-conductor/app/views/providers/_form.haml:1)

Provider name:

See screenshot..


[root@hp-bl480c-01 ~]# rpm -qa | grep aeolus
aeolus-configure-2.0.2-1.20110823163326gitc322d7f.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110823203319gitcf40883.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110824113236git15b6922.fc15.noarch
aeolus-conductor-0.4.0-0.20110823203319gitcf40883.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110823203319gitcf40883.fc15.noarch
aeolus-all-0.4.0-0.20110823203319gitcf40883.fc15.noarch
[root@hp-bl480c-01 ~]# rpm -qa | grep rails
rubygem-rails-3.0.9-1.fc15.noarch

Comment 1 Shveta 2011-08-30 16:07:15 UTC
*** Bug 734464 has been marked as a duplicate of this bug. ***

Comment 2 wes hayutin 2011-09-28 16:40:31 UTC
making sure all the bugs are at the right version for future queries

Comment 4 Jiri Tomasek 2011-10-17 08:09:26 UTC
This warning occurs no more. Fixed in commit a4bbfd2ba87b668cf316746383ac19fd521fe473

Comment 5 Aziza Karol 2011-10-18 10:18:55 UTC
Rails Deprecation warning is not displayed on providers page.

verified on:
[root@kvm-guest-01 ~]# rpm -qa | grep aeolus
aeolus-conductor-doc-0.5.0-0.20111014151901git7f70fb5.fc15.noarch
aeolus-all-0.5.0-0.20111014151901git7f70fb5.fc15.noarch
rubygem-aeolus-cli-0.1.0-3.20111003133323git9451323.fc15.noarch
aeolus-configure-2.2.0-1.20111007151942git26136f2.fc15.noarch
aeolus-conductor-0.5.0-0.20111014151901git7f70fb5.fc15.noarch
aeolus-conductor-daemons-0.5.0-0.20111014151901git7f70fb5.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20111003170706git8f23238.fc15.noarch

Comment 7 errata-xmlrpc 2012-05-15 21:52:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0583.html


Note You need to log in before you can comment on or make changes to this bug.